<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="data/@action = 'PayList'">  Yandex.</xsl:when>
	</xsl:choose>
</xsl:template>


<xsl:template name="head">
<xsl:text disable-output-escaping="yes">
	<![CDATA[    
<script type="text/javascript">
<!--

//  ,    (, "5"),    
var percent = 0;

window.onload = function()
{
	$('field_sum').onkeyup = function(e)
	{		
		//   ,       - - 
		if( $('div_sumtotal') != null )
		{
		$('div_sumtotal').innerHTML = $('field_sum').value * (100-percent) / 100;
		if( $('div_sumtotal').innerHTML == "" ) $('div_sumtotal').innerHTML = "0";
		if( $('div_sumtotal').innerHTML == "NaN" ) $('div_sumtotal').innerHTML = "?";
		}
	};
};

//-->
</script>   
    ]]>
</xsl:text>
</xsl:template>


<xsl:template match="/data">
	<xsl:choose>
		<xsl:when test="@action = 'PayList'">
			<xsl:call-template name="PayList"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="PayList">

	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="error"/>
		<xsl:call-template name="action"/>
		<xsl:call-template name="monthFilterForm">
			<xsl:with-param name="action" select="/data/@action" />
			<xsl:with-param name="module" select="/data/@module" />
			<xsl:with-param name="mid" select="/data/@mid" />
		</xsl:call-template>
	</form>

	<div class="report">
		<table border="0" cellspacing="1" class="table800">
			<thead>
	  			<tr>
					<td></td>
					<td>/ </td>
					<td></td>
					<td> </td>
					<xsl:if test="config/@paymentSumAmount='shop'">
					<td>  </td>
					</xsl:if>
	  			</tr>
	 		</thead>
	 		<tbody>	 		
	  			<xsl:for-each select="ya/transaction">	  				
					<tr>
						<td><xsl:value-of select="@invoiceId"/></td>
						<td><xsl:value-of select="@paymentDateTime"/></td>
						<td><xsl:value-of select="@paymentPayerCode"/></td>						
						<td nowrap="nowrap"><xsl:value-of select="@orderSumAmount"/>&#160;<xsl:value-of select="@orderSumCurrencyPaycash"/></td>
						<xsl:if test="/data/config/@paymentSumAmount='shop'">
						<td nowrap="nowrap"><xsl:value-of select="@shopSumAmount"/>&#160;<xsl:value-of select="@shopSumCurrencyPaycash"/></td>
						</xsl:if>
					</tr>
	  			</xsl:for-each>
	 		</tbody>
		</table>
	</div>
 	
 	<br/><br/>
 	<form method="post" action="{config/@url}" id="authForm">
 
		<xsl:if test="config/@shopId"><input type="hidden" name="shopId" value="{config/@shopId}"/></xsl:if>
		<xsl:if test="config/@shopArticleId"><input type="hidden" name="shopArticleId" value="{config/@shopArticleId}"/></xsl:if>
		<xsl:if test="config/@BankId"><input type="hidden" name="BankId" value="{config/@BankId}"/></xsl:if>
		<xsl:if test="config/@scid"><input type="hidden" name="scid" value="{config/@scid}"/></xsl:if>
		<input type="hidden" name="CustomerNumber" value="{config/@CustomerNumber}"/>
		<input type="hidden" name="mid" value="{/data/@mid}"/>
		
		   Yandex.: <input type="text" name="Sum" id="field_sum"/> 

		<xsl:call-template name="submit">
			<xsl:with-param name="title" select="''"/>
			<xsl:with-param name="confirm" select="'    Yandex.?'"/>
		</xsl:call-template>

		<xsl:if test="config/@paymentSumAmount='shop'">
			  : <span id="div_sumtotal">0</span> .
		</xsl:if>
	</form>
	
	<br/><br/>
	
	<xsl:if test="config/@paymentSumAmount='shop'">
		!       ,       Yandex.
		     <xsl:value-of select="config/@paymentSumPercent"/>%
	</xsl:if>
	
	<xsl:if test="config/@paymentSumAmount='order'">
		      ,  Yandex  .
	</xsl:if>
	
	<!--  percent=; -->
	<xsl:text disable-output-escaping="yes">
		<![CDATA[
<script type="text/javascript">
<!--
    	]]>
    </xsl:text>
percent=<xsl:value-of select="config/@paymentSumPercent"/>;
	<xsl:text disable-output-escaping="yes">
		<![CDATA[
//-->
</script>   
    	]]>
	</xsl:text>

</xsl:template>

</xsl:stylesheet>